package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Scheme;
import org.apache.ibatis.annotations.Mapper;

/**
 * 方案表 Mapper接口
 *
 * @author ruoyi
 */
@Mapper
public interface SchemeMapper
{
    /**
     * 查询方案集合
     *
     * @param scheme 方案信息
     * @return 方案集合
     */
    public List<Scheme> selectSchemeList(Scheme scheme);

    /**
     * 根据ID查询方案信息
     *
     * @param id 主键ID
     * @return 方案信息
     */
    public Scheme selectSchemeById(Long id);

    /**
     * 根据schemeId查询方案信息
     * @param schemeId
     * @return
     */
    public Scheme selectSchemeschemeid(String schemeId);
    /**
     * 新增方案信息
     *
     * @param scheme 方案信息
     * @return 结果
     */
    public int insertScheme(Scheme scheme);

    /**
     * 修改方案信息
     *
     * @param scheme 方案信息
     * @return 结果
     */
    public int updateScheme(Scheme scheme);

    /**
     * 删除方案信息
     *
     * @param id 主键ID
     * @return 结果
     */
    public int deleteSchemeById(Long id);

    /**
     * 批量删除方案信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    public int deleteSchemeByIds(Long[] ids);
}